petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCreateFFT

Creates a matrix object that provides FFT via an external package

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateFFT(MPI_Comm comm,PetscInt ndim,const PetscInt dim[],MatType mattype,Mat *A)

Collective

### Input Parameter

| comm | - MPI communicator
| ndim | - the ndim-dimensional transform
| dim | - array of size ndim, dim[i] contains the vector length in the i-dimension
| type | - package type, e.g., FFTW or FFTCU

### Output Parameter

A -the matrix

### Options Database Keys

-mat_fft_type -set FFT type

### Level

intermediate

### Location

src/mat/impls/fft/fft.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages